### Constructor

# Json Path new

since: 0.14

#### Declaration [src]

    JsonPath*
    json_path_new (
      void
    )

#### Description [src]

Creates a new `JsonPath` instance.

Once created, the `JsonPath` object should be used with `json_path_compile()` and `json_path_match()`.

Available since: 0.14

#### Return value

Type: `JsonPath`

The newly created path.

The caller of the function takes ownership of the data, and is responsible for freeing it.